Bug 1297501 - [DOCS] Openshift examples directory location missing steps
[DOCS] Openshift examples directory location missing steps
Status: RELEASE_PENDING
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Traci Morrison
Anping Li
Vikram Goyal
3.7-release-plan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 11:53 EST by Ryan Howe
Modified: 2017-10-11 14:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2016-01-11 11:53:54 EST
Document URL: https://docs.openshift.com/enterprise/3.1/install_config/upgrades.html#updating-the-default-image-streams-and-templates

Section Number and Name: Updating the Default Image Streams and Templates

Describe the issue: 

When installing or updating atomic-openshift-utils to obtain the latest image streams and template, /usr/share/openshift/examples/ does not get updated with the latest templates. 

The following needs to happen to move the files to the correct location:

# mkdir /usr/share/openshift/examples
# cp -R /usr/share/ansible/openshift-ansible/roles/openshift_examples/files/examples/v1.1/* /usr/share/openshift/examples/



Suggestions for improvement: 

Either change the the file location use to update the streams and templates or add steps to cp the contents over
Comment 2 Traci Morrison 2017-09-06 15:52:45 EDT
Work in progress: https://github.com/openshift/openshift-docs/pull/5200
Comment 3 Anping Li 2017-09-15 05:11:30 EDT
@Traci, 
For installation:
/usr/share/openshift/examples/ are installed on the first master only.

For automate upgrade, Those files get updated on the first master by playbook. 

For manually upgrade, The templates and imagestreams are updated on the OCP client where atomic-openshift-utils was installed. and the /usr/share/openshift/examples/ does not get updated  on first master.


If we want to persist the /usr/share/openshift/examples/ on first master. add step as following manually upgrade doc,

Update /usr/share/openshift/examples/_*  to v3.x on the first master.
scp -R /usr/share/ansible/openshift-ansible/roles/openshift_examples/files/examples/v3.6/* user@master1:/usr/share/openshift/examples/



If we want to persist the /usr/share/openshift/examples/ on all masters. add steps as following on both automate upgrade and manually upgrade

Update /usr/share/openshift/examples/_*  to v3.x on all masters

mkdir /usr/share/openshift/examples
scp -R /usr/share/ansible/openshift-ansible/roles/openshift_examples/files/examples/v3.6/* user@masterx:/usr/share/openshift/examples
Comment 4 Traci Morrison 2017-09-21 12:28:58 EDT
Updated PR: https://github.com/openshift/openshift-docs/pull/5200
Comment 5 openshift-github-bot 2017-10-11 14:53:22 EDT
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/50d45b878d5c44d031036169bb26f694cdefd026
Bug 1297501 added substep to obtain the latest image stream

https://github.com/openshift/openshift-docs/commit/c5875a618ca3e68aa99cf951ab1b2e7c776f164b
Merge pull request #5200 from tmorriso-rh/directory-location

Bug 1297501 added substep to obtain the latest image stream

Note You need to log in before you can comment on or make changes to this bug.